GET api/bagapi/bag/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "aed29ab7-e889-44b7-88e1-7af1f5655cfc",
"cleanroom_type_id": "202ef75f-76a1-47c9-95f2-8226a66ce1ff",
"code": 3,
"date_hu": "2026-06-09T06:47:17.9665398+00:00",
"id": "fbf61217-2651-47fa-9c56-0244af137fc3",
"site_id": "d1b70d11-4091-4d62-88d6-fa3c375095e5",
"wash_count": 6,
"position": 1,
"pc_id": "bac5082d-521c-4fdb-8ed9-f4cc293330a8"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>aed29ab7-e889-44b7-88e1-7af1f5655cfc</bag_status_id> <cleanroom_type_id>202ef75f-76a1-47c9-95f2-8226a66ce1ff</cleanroom_type_id> <code>3</code> <date_hu>2026-06-09T06:47:17.9665398+00:00</date_hu> <id>fbf61217-2651-47fa-9c56-0244af137fc3</id> <pc_id>bac5082d-521c-4fdb-8ed9-f4cc293330a8</pc_id> <position>1</position> <site_id>d1b70d11-4091-4d62-88d6-fa3c375095e5</site_id> <wash_count>6</wash_count> </bag>